#include <algorithm>
#include <iostream>
#include <ranges>
#include <map>

void print_view(auto view) {
	for (const auto& x : view) {
		std::cout << x << ' ';
	}
	std::cout << '\n';
}

int main() {
	namespace views = std::views;

	std::map<char, int> m = {
		{ 'a', 7 },
		{ 'c', 9 },
		{ 'x', 0 },
		{ 'b', 3 },
		{ 'n', 1 },
	};

	print_view(m | views::keys);
	print_view(m | views::values);
}
